/*
Theme Name:  Thinkpack
Theme URI:   https://thinkpack.eco
Description: Custom theme for Thinkpack — Sustainability Consulting.
Version:     1.0.0
Author:      Plura
Author URI:  https://plura.pt
Template:    Divi
Text Domain: thinkpack
Domain Path: /languages
*/
 
 
/* =Theme customization starts here
------------------------------------------------------- */

:root {

    ---tp-theme-globals-gap: 30px;

    --tp-theme-globals-color1: #84c9c2;
    --tp-theme-globals-color2: #68b6ae;
    --tp-theme-globals-color3: #2f82af;
    --tp-theme-globals-color4: #3b3c3b;

    --tp-theme-globals-font-size-h1: 1.8rem;
    --tp-theme-globals-font-size-h2: 1.6rem;
    --tp-theme-globals-font-size-h3: 1.4rem;
    --tp-theme-globals-font-size-h4: 1.2rem;
    --tp-theme-globals-font-size-body-big: 1.2rem;
    --tp-theme-globals-font-size-body-small: .8rem;

}

/* GLOBALS */

/* flex */
@media only screen and (min-width: 991px) {

    .tp-row-flex {
        align-items: center;
        display: flex;
    }

}



/* TYPOGRAPHY */
.tp-txt-big {
    font-size: var(--tp-theme-globals-font-size-body-big) !important;
}

.tp-txt-small {
    font-size: var(--tp-theme-globals-font-size-body-small); !important;
}



/* FORM */
form.wpcf7-form {
    --n: 40px;
}

form.wpcf7-form > p {
    display: contents;
}

form.wpcf7-form .wpcf7-form-control-wrap:not(.user-message) {
    margin-bottom: calc( var(--n) / 4 );
}

form.wpcf7-form .wpcf7-form-control-wrap,
form.wpcf7-form input:is([type="email"],[type="text"],[type="submit"]),
form.wpcf7-form textarea {
    display: block;
    width: 100%;
}

form.wpcf7-form input:is([type="email"],[type="submit"],[type="text"]) {
    height: var(--n);
}

form.wpcf7-form input:is([type="email"],[type="submit"],[type="text"]),
form.wpcf7-form textarea {
    border: none;
}

form.wpcf7-form input:is([type="email"],[type="text"]),
form.wpcf7-form textarea {
    padding-left: calc( var(--n) / 4 );  
}

form.wpcf7-form input:is([type="email"],[type="text"])::placeholder,
form.wpcf7-form textarea::placeholder {
    color: var(--tp-theme-globals-color3);
}

form.wpcf7-form textarea {
    height: calc( var(--n) * 5 );
    padding-top: calc( var(--n) / 3 );
}

form.wpcf7-form input[type="submit"] {
    background-color: var(--tp-theme-globals-color3);
    border-radius: calc( var(--n) / 2 );
    color: white;
    font-size: var(--tp-theme-globals-font-size-h3);
    font-weight: 700;
    padding-left: calc( var(--n) * 2 );
    padding-right: calc( var(--n) * 2 );
    margin-top: calc( var(--n) / 2 );
}

form.wpcf7-form .wpcf7-not-valid-tip {
    font-size: v;
}

@media only screen and (min-width: 991px) {

    form.wpcf7-form input[type="submit"] {
        width: auto;
    }

}

form.wpcf7-form .wpcf7-not-valid-tip {
    font-size: var(--tp-theme-globals-font-size-body-small);
    font-weight: 600;
}




/* HEADER */
header .et_pb_menu .et_pb_menu__wrap {
    /*display: none;*/
}


/* FOOTER */
footer .tp-sponsors {
    --h: 60px;
    display: flex;
    flex-wrap: wrap;
    gap: calc( var(--h) / 3);
    justify-content: center;    
}

footer .tp-sponsors::after {
    content: none;
}

footer .tp-sponsors .et_pb_column,
footer .tp-sponsors .tp-img-sponsor {
    display: contents;
}

footer .tp-sponsors .tp-img-sponsor img {
    height: auto;
    max-height: calc( var(--h) / 2 );
    width: auto;  
}


@media only screen and (max-width: 990px) {

    footer .et_pb_menu .et_pb_menu__menu {
        display: flex;
    }

    footer .et_pb_menu .et_mobile_nav_menu {
        display: none;
    }

}

@media only screen and (min-width: 991px) {

    footer .tp-sponsors {
        --h: 80px;
        justify-content: flex-start;
        gap: var(--h);        
    }

    footer .tp-sponsors .tp-img-sponsor img {
        max-height: var(--h);
    }

    footer #tp-copyright .et_pb_text_inner {
        align-items: center;
        display: flex;
        gap: calc( var(---tp-theme-globals-gap) / 3 );
        justify-content: center;
    }

    footer #tp-copyright .et_pb_text_inner::after {
        background-color: var(--tp-theme-globals-color3);
        content: '';
        display: block;
        height: calc( var(---tp-theme-globals-gap) / 3 );
        width: 2px;
    }

    footer #tp-copyright .et_pb_text_inner p {
        padding-bottom: 0;
    }

    footer #tp-copyright .et_pb_text_inner p:last-child {
        order: 3;
    }    

}

